Severe Windows XP/7/2003/2008 Vulnerability

Security Updates Available   Microsoft announced a severe vulnerability with some older versions of Windows last month. If you are still using Windows XP, 7, Server 2003, or Server 2008, make sure you take the time to follow Microsoft’s instructions to patch your systems. All links are provided below which you will need to manually…